Skip to main content
`Ctrl`+`K`

# PEPSetExtract

Specifies the extraction strategy to be used.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetExtract(PEP pep,PEPExtract extract)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- extract - extraction strategy, see `PEPExtract` for possible values

## Options Database Key

- -pep_extract <extract> - extraction type, one of `none`,`norm`,`residual`,`structured`

## Note

This is relevant for solvers based on linearization. Once the solver has converged, the polynomial eigenvectors can be extracted from the eigenvectors of the linearized problem in different ways. See the discussion in section Extraction.

## See Also

PEP: Polynomial Eigenvalue Problems, Extraction, `PEPExtract`, `PEPGetExtract()`

## Level

intermediate

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages